.operation_header {
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-top: 50px;
    margin-bottom: 50px;
    width: 100%;
    font-size: 40px;
}

.background {
    background-image: linear-gradient(
            rgba(255, 255, 255, 0.1),
            rgba(255, 255, 255, 0.1)
        ),
        url("/images/Background_header_companyProfile.jpg");
    background-size: cover;
    background-position: center;
    display: flex;
    padding-right: 5%;
    padding-left: 5%;
}

.map {
    width: 90%;
    margin-top: 100px;
    margin-right: 30px;
    margin-bottom: 50px;
    margin-left: 10%;
}

.description {
    display: flex;
    flex-direction: column;
    text-align: center;
    background-color: #f28b20;
    margin-top: 100px;
    margin-bottom: 100px;
    padding: 3%;
    width: 100%;
}

.description h1 {
    color: white;
    font-size: 25px;
}

.description h2 {
    color: #752f8b;
    font-size: 23px;
}

.description p {
    color: white;
    font-size: 20px;
    margin-top: 100px;
}

.container img {
    width: 378px;
    height: 277px;
    object-fit: cover;
}

.main_container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding-left: 5%;
    padding-right: 5%;
    margin-top: 100px;
    margin-bottom: 100px;
}

.container {
    display: flex;
}

.date {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #614b3c;
    border-radius: 5px;
    width: 60%;
    height: max-content;
    padding-top: 10px;
    padding-bottom: 10px;
    position: relative;
}

.date::after {
    content: "";
    position: absolute;
    right: -10px; /* Adjust this value to make sure the triangle touches the edge */
    top: 50%;
    transform: translateY(-50%);
    border-width: 15px 0 15px 20px; /* Adjust size of the triangle */
    border-style: solid;
    border-color: transparent transparent transparent #614b3c; /* Triangle color matches background */
}

.date p {
    color: white;
    font-size: 19px;
    text-align: center;
}

.date_mobile {
    display: none;
}

.lines {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-left: 10px;
    margin-right: 10px;
}

.line {
    height: 350px;
    width: 4px;
    background-color: #614b3c;
}

.check {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    background-color: white;
    border: #2fc73e solid 3.5px;
    border-radius: 50%;
    margin-left: 20px;
    margin-right: 20px;
}

.operation_detail_container {
    display: flex;
    text-align: center;
    width: 100%;
    height: max-content;
    background-color: #614b3c;
    overflow: hidden;
}

.image_operation,
.detail {
    flex: 1 1 100%;
}

.image_operation img {
    width: 100%;
    height: 277px;
    object-fit: cover;
    transition: transform 0.5s ease;
}

.operation_detail_container:hover img {
    transform: scale(1.3);
}

.container_detail h1 {
    padding-right: 30px;
    padding-left: 30px;
    font-size: 20px;
    color: white;
}

.detail {
    width: 100%;
    background-color: #614b3c;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.container_detail,
.container_button {
    flex: 1 1 100%;
}

.container_detail {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container_button {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.button {
    display: flex;
    background-color: white;
    width: 160px;
    height: auto;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 2px;
    padding-bottom: 2px;
    border-radius: 5px;
    align-items: center;
    justify-content: center;
    transition: background-color 0.5s ease;
}

.button h2 {
    font-size: 18px;
    color: #614b3c;
    text-align: center;
    transition: color 0.5s ease;
}

.button:hover {
    background-color: #f28b20;
}

.button:hover h2 {
    color: white;
}

.under_line {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #614b3c;
    width: 100%;
    height: 10px;
    border-radius: 5px;
}

@media (max-width: 1300px) {
    .main_container {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        padding-left: 2%;
        padding-right: 2%;
        margin-top: 100px;
        margin-bottom: 100px;
    }

    .date {
        display: none;
    }

    .check {
        display: none;
    }

    .date_mobile {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #614b3c;
        border-radius: 5px;
        width: 100%;
        height: max-content;
        padding: 10px;
    }

    .date_mobile p {
        color: white;
        font-size: 19px;
        text-align: center;
    }

    .container_lines,
    .operation_detail_container {
        flex: 1 1 100%;
    }

    .container_lines {
        padding-left: 50px;
        padding-right: 50px;
    }

    .lines {
        margin: 0;
    }

    .line {
        height: 500px;
    }

    .operation_detail_container {
        flex-direction: column;
        height: 500px;
    }

    .under_line {
        width: 70%;
    }
}

@media (max-width: 1024px) {
    .background {
        flex-direction: column;
        padding: 0;
    }

    .description {
        margin: 0;
        padding-top: 50px;
        padding-bottom: 50px;
    }

    .image_operation img {
        height: 230px;
    }

    .operation_detail_container {
        flex-direction: column;
        height: 470px;
    }
}

@media (max-width: 768px) {
    .container_lines {
        padding-left: 10px;
        padding-right: 10px;
    }

    .date_mobile p {
        font-size: 16px;
    }

    .image_operation img {
        height: 200px;
    }

    .operation_detail_container {
        flex-direction: column;
        height: 400px;
    }

    .detail h1 {
        font-size: 16px;
    }

    .button {
        width: 130px;
    }

    .button h2 {
        font-size: 16px;
    }
}

@media (max-width: 550px) {
    .date_mobile p {
        font-size: 14px;
    }

    .image_operation img {
        height: 150px;
    }

    .operation_detail_container {
        flex-direction: column;
        height: 300px;
    }

    .detail h1 {
        font-size: 14px;
    }

    .button {
        width: 130px;
    }

    .button h2 {
        font-size: 14px;
    }
}
